All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros
op::NmsCaffe< T > Class Template Reference

`#include <nmsCaffe.hpp>`

## Public Member Functions

| NmsCaffe ()
virtual | ~NmsCaffe ()
virtual void | LayerSetUp (const std::vector< caffe::Blob< T > * > &bottom, const std::vector< caffe::Blob< T > * > &top)
virtual void | Reshape (const std::vector< caffe::Blob< T > * > &bottom, const std::vector< caffe::Blob< T > * > &top, const int maxPeaks, const int outputChannels=-1, const int gpuID=0)
virtual const char * | type () const
void | setThreshold (const T threshold)
void | setOffset (const Point< T > &offset)
virtual void | Forward (const std::vector< caffe::Blob< T > * > &bottom, const std::vector< caffe::Blob< T > * > &top)
virtual void | Forward_cpu (const std::vector< caffe::Blob< T > * > &bottom, const std::vector< caffe::Blob< T > * > &top)
virtual void | Forward_gpu (const std::vector< caffe::Blob< T > * > &bottom, const std::vector< caffe::Blob< T > * > &top)
virtual void | Forward_ocl (const std::vector< caffe::Blob< T > * > &bottom, const std::vector< caffe::Blob< T > * > &top)
virtual void | Backward_cpu (const std::vector< caffe::Blob< T > * > &top, const std::vector< bool > &propagate_down, const std::vector< caffe::Blob< T > * > &bottom)
virtual void | Backward_gpu (const std::vector< caffe::Blob< T > * > &top, const std::vector< bool > &propagate_down, const std::vector< caffe::Blob< T > * > &bottom)

## Constructor & Destructor Documentation

template<typename T >

op::NmsCaffe< T >::NmsCaffe | ( |  | ) |

explicit

template<typename T >

virtual op::NmsCaffe< T >::~NmsCaffe | ( |  | ) |

virtual

## Member Function Documentation

template<typename T >

virtual void op::NmsCaffe< T >::Backward_cpu | ( | const std::vector< caffe::Blob< T > * > & | top,
|  | const std::vector< bool > & | propagate_down,
|  | const std::vector< caffe::Blob< T > * > & | bottom
| ) |  |

virtual

template<typename T >

virtual void op::NmsCaffe< T >::Backward_gpu | ( | const std::vector< caffe::Blob< T > * > & | top,
|  | const std::vector< bool > & | propagate_down,
|  | const std::vector< caffe::Blob< T > * > & | bottom
| ) |  |

virtual

template<typename T >

virtual void op::NmsCaffe< T >::Forward | ( | const std::vector< caffe::Blob< T > * > & | bottom,
|  | const std::vector< caffe::Blob< T > * > & | top
| ) |  |

virtual

template<typename T >

virtual void op::NmsCaffe< T >::Forward_cpu | ( | const std::vector< caffe::Blob< T > * > & | bottom,
|  | const std::vector< caffe::Blob< T > * > & | top
| ) |  |

virtual

template<typename T >

virtual void op::NmsCaffe< T >::Forward_gpu | ( | const std::vector< caffe::Blob< T > * > & | bottom,
|  | const std::vector< caffe::Blob< T > * > & | top
| ) |  |

virtual

template<typename T >

virtual void op::NmsCaffe< T >::Forward_ocl | ( | const std::vector< caffe::Blob< T > * > & | bottom,
|  | const std::vector< caffe::Blob< T > * > & | top
| ) |  |

virtual

template<typename T >

virtual void op::NmsCaffe< T >::LayerSetUp | ( | const std::vector< caffe::Blob< T > * > & | bottom,
|  | const std::vector< caffe::Blob< T > * > & | top
| ) |  |

virtual

template<typename T >

virtual void op::NmsCaffe< T >::Reshape | ( | const std::vector< caffe::Blob< T > * > & | bottom,
|  | const std::vector< caffe::Blob< T > * > & | top,
|  | const int | maxPeaks,
|  | const int | outputChannels = `-1`,
|  | const int | gpuID = `0`
| ) |  |

virtual

template<typename T >

void op::NmsCaffe< T >::setOffset | ( | const Point< T > & | offset | ) |

template<typename T >

void op::NmsCaffe< T >::setThreshold | ( | const T | threshold | ) |

template<typename T >

virtual const char* op::NmsCaffe< T >::type | ( |  | ) | const

inlinevirtual

The documentation for this class was generated from the following file:

- /home/travis/build/CMU-Perceptual-Computing-Lab/openpose/include/openpose/net/nmsCaffe.hpp